#include <bits/stdc++.h>
#include "A+B.h"

using namespace std;

__int128 find_sum (__int128 a, __int128 b) {
    return (__int128)(a + b);
}

#ifndef EVAL
#include<iostream>
#include "A+B.h"
using namespace std;
std::istream& operator>> (std::istream& inp, __int128& n) {
    std::string num;
    inp >> num ;
    n=0;
    bool negative=false;
    for (auto c : num) {
        n*=10;
        if (c=='-') negative=true;
        else n+=(c-'0');
    }
    if (negative==true) n*=(-1);
    return inp;
}
std::ostream& operator<< (std::ostream& out, const __int128& n) {
    std::string digs="";
    bool negative=false;
    __int128 tmp=n;
    if (tmp<0) {
        negative=true;
        tmp*=(-1);
    }
    for (;;) {
        digs+=(tmp%10+'0');
        tmp/=10;
        if (tmp==0) break;
    }
    reverse(digs.begin(),digs.end());
    if (negative==true) out << "-";
    out << digs ;
    return out;
}

extern __int128 find_sum (__int128, __int128);
int main () {
    __int128 a,b;
    cin >> a >> b ;
    cout << find_sum(a,b)  << endl ;
    return 0;
}

#endif